none
"앱은 Windows 스토어에서 사용할 수 있는 Windows 구성 요소 라이브러리 버전에 대해서만 종속성을 선언할 수 있습니다."라는 에러가 발생합니다. RRS feed

  • 질문

  • 앱을 패키징하고, 테스트 완료후 홈페이지에 패키지를 업로드 했습니다. 아래와 같은 에러 메시지가 표시됩니다.

    유효성 검사 오류:   앱은 Windows 스토어에서 사용할 수 있는 Windows 구성 요소 라이브러리 버전에 대해서만 종속성을 선언할 수 있습니다. 앱 종속성을 확인한 후 각 최소 버전이 Windows 스토어에서 사용할 수 있는 버전보다 작거나 같은지 확인하세요.  

    제가 만든 앱은 c++/cx 를 사용하였고, 별다른 종속성은 존재하지 않습니다. (dependency walker 로 확인해 보니 vccorlib110.dll, msvcp110.dll msvcr100.dll 정도를 사용하고 있습니다.)

    혹시나 싶어서 appxmanifest 에

      <Dependencies>
        <PackageDependency Name="Microsoft.VCLibs.110.00" MinVersion="11.0.0.0" />
      </Dependencies>


    를 넣어 보았지만, 앱 패키징후 테스트할때 중복 종속성이 있다고 에러를 토하더군요..

    ttp://msdn.microsoft.com/ko-KR/library/windows/apps/hh694075.aspx#package_metadata_requirements

    나 

    ttp://msdn.microsoft.com/ko-KR/library/windows/apps/br211428.aspx

    를 보아도 어떻게 수정을 해야할지 잘 모르겠습니다.

    • 이동됨 Jina Lee 2013년 1월 4일 금요일 오전 5:00 (이전 위치:Windows 스토어 앱)
    2012년 10월 25일 목요일 오전 7:26

답변